.breadcrumb {
    background-color: transparent;
    font-size: 1rem;
    color: #00BA00;
    border-radius: 0px;
}

.breadcrumb > li {
    color: #00BA00;
    font-size: 1rem;
}

.breadcrumb > li > a{
    color: #00BA00;
    font-size: 1rem;
    font-weight: bold;
    position: relative;
    top: 1rem;
}

.breadcrumb > li.active {
    color: #00BA00;
    font-size: 2rem;
    font-weight:bold;
}

.breadcrumb-item+.breadcrumb-item::before {
    color: #00BA00;
    font-size: 1rem;
    content: ">";
    font-weight: bold;
    position: relative;
    top: 1rem;
}

small, .small {
    font-size: 65%;
    color: red;
}

.nav-tabs {
    border-bottom: 0px;
    position: relative;
    top: 1px;
}

.nav-tabs .nav-link {
    background: #F6F7F8;
    border: 1px solid #E7E8EA;
    border-top: 6px solid #E7E8EA;
    color: rgba(51,51,51,0.70);
    font-size: 1.125rem;
    font-weight: bold;
    margin-right: 0.3rem;
    margin-bottom: -6px;
    border-top-left-radius: 0.5rem;
    border-top-right-radius: 0.5rem;
}

.nav-tabs .nav-link.active {
    border-top: 6px solid #00BA00;
    color: #333333;
    font-size: 1.125rem;
}

.nav-list > li > a {
    /* line-height: 30px; */
    text-shadow: none !important;
    font-size: 1rem;
    padding-left: 20px;
}

.no-skin .nav-list > li.active:after {
    top: 0px;
    right: initial;
    border-width: 0 5px 0 0;
}

.nav-list li.active > a:after {
    content: ">";
    right: 16px;
    top: 0px;
    border: 0px;
    padding-left: 20px;
}

.sidebar + .main-content {
    margin-left: 240px;
}

.breadcrumbs {
    min-height: 47px;
}

.main-content .breadcrumbs-fixed {
    left: 240px;
    background-color: #FFFFFF;
    padding-left:20px;
}

body {
    background-color: white;
    min-height: 100%;
    padding-bottom: 0px;
    font-family: "微軟正黑體", Arial, Helvetica, sans-serif;
    color: #393939;
    line-height: 1.5;
}

.no-skin .sidebar {
    background-color: #F2F2F2;
    border-style: solid;
    border-color: #D3D3D3;
    border-width: 0px 1px 0px 0px;
    /*max-width: 240px;*/
}

.no-skin .nav-list > li > a:focus {
    background-color: #f8f8f8;
    color: #4A4A4A;
}

.no-skin .nav-list > li > a:hover {
    background-color: #DCDCDC;
    color: #4A4A4A;
}

.blue_magic {
    color: #4AB496 !important;
}
.ace-nav > li.blue_magic > a {
    background-color: #F98383;
}
.ace-nav > li {
    border-left: initial;
}
.no-skin .nav-list > li > a {
    background: #FFFFFF;
    color: #4A4A4A;
    font-family: "微軟正黑體", Arial, Helvetica, sans-serif;
    font-size: 1rem;
    letter-spacing: 0;
    line-height: 45px;
    padding: 0px 30px;
    height: 45px;
}

.nav-list > li:before {
    height: 47px;
}

.page-header {
    margin: 0px;
    border-bottom: initial;
}

.form-toolbar {
    font-family: "微軟正黑體", Arial, Helvetica, sans-serif;
    font-size: 1rem;
    color: #767676;
    line-height: 30px;
}

#divMainForm {
    font-family: "微軟正黑體", Arial, Helvetica, sans-serif;
    font-size: 1rem;
    line-height: 1.5rem;
    color: #333333;
    background: #F5F5F5;
    border-radius: 8px;
    border: 1px solid #F5F5F5;
}

.form-section {
    padding: 1rem 1rem;
    min-height: 450px;
}

.form-section h2.title {
    color: #FFF;
    text-shadow: 2px 2px 40px #383838;
}

.form-horizontal .form-group {
    margin: 0px;
}

.form-horizontal .table > tbody > tr > td{
    height: 60px;
    vertical-align: middle;
}

.form-horizontal table > tbody > tr > td{
    height: 60px;
    vertical-align: middle;
    padding: 0px !important;
}

.form-group > label {
    font-size: 1rem;
    line-height: 2.375rem;
    font-weight: bold;
    text-align: right;
    margin: 0px;
    white-space: nowrap;
}

.control-input{
    text-align: left;
    line-height: 34px;
}

span.must-fill {
    position: relative;
    left: 0.5rem;
    top: 0.5rem;
    font-size: 1rem;
    color: red;
}

span.not-must-fill {
    position: relative;
    left: 0.5rem;
    top: 0.5rem;
    font-size: 1rem;
    color: transparent;
}

.input-readonly {
    padding: 0.375rem 0.5rem;
}

.input-notes {
    font-family: "微軟正黑體", Arial, Helvetica, sans-serif;
    font-size: 1rem;
    color: #333333;
    line-height: 2.25rem;
    margin-left: 1.5rem;
}

.form-check-label {
    font-size: 1rem;
    padding-right: 0.5rem;
}

.form-title {
    padding-top: 20px;
    padding-bottom: 20px;
    text-align: center;
    font-family: "微軟正黑體", Arial, Helvetica, sans-serif;
    font-size: 32px;
    color: #4668A0;
    letter-spacing: initial;
}

.form-notes {
    max-width: 770px;
    margin: 0 auto;
    margin-bottom: 1.75rem;
    font-family: "微軟正黑體", Arial, Helvetica, sans-serif;
    font-size: 16px;
    color: #767676;
    line-height: 24px;
    text-align: left;
}

.form-group > label > h4 {
    margin-bottom: 0px;
    line-height: 38px;
    white-space: nowrap;
}

.custom-file-label::after {
    content: "瀏覽";
}

.custom-file {
    height: 2.375rem;
}

.custom-file-input {
    height: 2.375rem;
}

h1 {
    margin-top: 0px;
    margin-bottom: 15px;
}

h1 small {
    font-family: "微軟正黑體", Arial, Helvetica, sans-serif;
    font-size: 30px;
    font-weight: bold;
    color: #4668A0;
    letter-spacing: 1px;
}

.menu-text {
    white-space: nowrap;
}

header {
    border-bottom: 3px solid #EFEFEF;
}

.sidebar ~ .footer .footer-inner {
    left: 0px;
}

.footer .footer-inner {
    /*z-index: 1050;*/
}

.footer .footer-inner .footer-content {
/*    position: absolute;*/
    left: 0px;
    right: 0px;
    bottom: 0px;
    padding: 8px;
    line-height: 36px;
    border-top: 3px double #E5E5E5;
    background-color: #F5F5F5;
}

.footer-content-text {
    font-family: "微軟正黑體", Arial, Helvetica, sans-serif;
    font-size: 14px;
    font-weight: bold;
    color: #4A4A4A;
    letter-spacing: 0;
    line-height: 22px;
}

ul li { list-style-type:none;list-style:none }
/*  box  */

.bg-unit0 {
    background-color: #C8BFE7 !important;
}
.bg-unit1 {
    background-color: #38C0D4 !important;
}
.bg-unit2 {
    background-color: #ADCD16 !important;
}
.bg-unit3 {
    background-color: #FFAEC9 !important;
}
.bg-unit4 {
    background-color: #C8BFE7 !important;
}
.bg-unitadd {
    background-color: #F1B21A !important;
}
.small-box {
    border-radius: 2px;
    position: relative;
    display: block;
    margin-bottom: 20px;
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.1);
    word-wrap: break-word;
}

.small-box > .inner {
    padding: 10px;
}

.small-box > .small-box-footer {
    position: relative;
    text-align: center;
    padding: 3px 0px;
    color: rgba(255, 255, 255, 0.8);
    display: block;
    z-index: 10;
    background: rgba(0, 0, 0, 0.1) none repeat scroll 0% 0%;
    text-decoration: none;
}

.btn-lg {
    font-size: 1.125rem !important;
    min-width: 176px;
    letter-spacing: 0.25rem;
    font-weight: bold;
    padding: .375rem .75rem;
}

.btn-md {
    min-width: 120px;
    letter-spacing: 0.2rem;
}

/* 按鈕的圖示 */
.btn-md i.fa, .btn-md i.fas, .btn-md i.far,
.btn-lg i.fa, .btn-lg i.fas, .btn-lg i.far{
    margin-right: 0.5rem;
}

.table tr td i.fa, .table tr td i.fas, .table tr td i.far {
    color: #00BA00;
}


.btn-sm, .btn-group-sm > .btn {
    padding: 5px 10px;
    font-size: 12px;
    line-height: 1.5;
    border-radius: 3px;
}

.box.box-default {
    border-top-color: #D2D6DE;
}
.box-header.with-border {
    border-bottom: 1px solid #F4F4F4;
}
.box-header {
    color: #444;
    display: block;
    padding: 10px;
    position: relative;
}
.box-header > .fa, .box-header > .glyphicon, .box-header > .ion, .box-header .box-title {
    display: inline-block;
    font-size: 1rem;
    margin: 0px;
    line-height: 1;
}
.box-header > .box-tools {
    position: absolute;
    right: 10px;
    top: 5px;
}
.box {
    position: relative;
    border-radius: 3px;
    background: #FFF none repeat scroll 0% 0%;
    border-top: 3px solid #D2D6DE;
    margin-bottom: 20px;
    width: 100%;
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.1);
}

.small-box .icon {
    transition: all 0.3s linear 0s;
    position: absolute;
    top: -20px;
    right: 10px;
    z-index: 0;
    font-size: 90px;
    color: rgba(0, 0, 0, 0.15);
}
.small-box .icon2 {
    transition: all 0.3s linear 0s;
    position: absolute;
    top: -20px;
    right: 80px;
    z-index: 0;
    font-size: 90px;
    color: rgba(0, 0, 0, 0.15);
}
.small-box .icon3 {
    transition: all 0.3s linear 0s;
    position: absolute;
    top: -20px;
    right: 150px;
    z-index: 0;
    font-size: 90px;
    color: rgba(0, 0, 0, 0.15);
}


.info-box {
    display: block;
    min-height: 90px;
    background: #F8F4F4 none repeat scroll 0% 0%;
    width: 100%;
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.1);
    border-radius: 2px;
    margin-bottom: 15px;
}

.info-box-icon {
    font-size: 25px;
}

.modal-header {
    background-color: #EBEBEB;
    padding: 0.75rem 1rem;
    font-family: "微軟正黑體", Arial, Helvetica, sans-serif;
    font-weight: bold;
    font-size: 1.25rem;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

.modal-title {
    line-height: 2rem;
    font-size: 1.5rem;
    color: #333333;
    font-weight: bold;
}

.modal-header button.close span {
    font-size: 2rem;
}

.modal-content {
    border-radius: 10px;
}

.modal-footer {
    border-top: 0px;
    justify-content: center;
}

.bg-aqua, .callout.callout-info, .alert-info, .label-info, .modal-info .modal-body {
    background-color: #34806A !important;

}
.bg-aqua{
color: #FFF !important;
}

.box-body {
    border-radius: 0px 0px 3px 3px;
    padding: 10px;
}
.info-box-content {
    padding: 5px 10px;
    margin-left: 92px;
    background: #F8F4F4 none repeat scroll 0% 0%;
    word-break: break-word;
}

.info-box-number {
    display: block;
    font-weight: bold;
    font-size: 1rem;
}
.box-header.with-border {
    border-bottom: 1px solid #F4F4F4;
}
.content-header > h1 {
    margin: 0px;
    font-size: 24px;
}
.box-header {
    color: #444;
    display: block;
    padding: 10px;
    position: relative;
}
.box-header {
    color: #444;
    display: block;
    padding: 10px;
    position: relative;
}

.info-box-icon {
    display: block;
    float: left;
    height: 90px;
    width: 90px;
    text-align: center;
    font-size: 20px;
    line-height: 90px;
    overflow:hidden;


}

.info-box-icon > img {
    vertical-align: top;
}


/* box */
.ace-nav > li > a {
    color: #2977B4;
    display: block;
    line-height: inherit;
    text-align: center;
    height: 100%;
    width: auto;
    min-width: 50px;
    padding: 0px 8px;
    position: relative;
    background-color: #F64E4E;
    font-family: "微軟正黑體", Arial, Helvetica, sans-serif;
    font-weight: bold;
}

.ace-nav > li > a:hover, .ace-nav > li > a:focus, .ace-nav > li.open > a {
    color: #2977B4;
}

.navbar {
    margin: 0px;
    padding-left: 0px;
    padding-right: 0px;
    border-width: 0px;
    border-radius: 0px;
    box-shadow: none;
    min-height: 25px;
    /*background: #F98383 none repeat scroll 0% 0%;*/
    /* background-image: linear-gradient(0deg, #C6E5F7 3%, #CDEBFE 76%); */
    background: url("/assets/images/theme/bg-nav-r.svg") right no-repeat;
    background-color: #008833;

    background-position: right top;
}

.course_list{
margin-bottom:10px;
display: block;
word-break: break-all;
white-space: nowrap;
text-overflow: ellipsis;
-o-text-overflow: ellipsis;
overflow: hidden;
}

.no-skin .nav-list > li {
    border-color: #DEDEDE;
    padding-left: 12px;
}

.vcenter {


}
.scrollable-menu {
    height: auto;
    max-height: 500px;
    overflow-x: hidden;
}

.tab-content {
    background: #FFFFFF;
    border: 1px solid #dee2e6;
    border-radius: 6px;
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
    padding: 1rem;
}

.tab-content.noborder {
    border: 0px;
    box-shadow: initial;
}

.btn-primary {
    color: #FFFFFF;
    background-color: #00BA00 !important;
    border-color: #00BA00 !important;
    font-size: inherit;
}

.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary.active,
.open .dropdown-toggle.btn-primary {
    color: #FFFFFF;
    background-color: #00EE00 !important;
    border-color: #00BA00 !important;
}

.btn-secondary {
    border-color: #979797 !important;
    font-size: inherit;
}

.btn-secondary:hover,
.btn-secondary:focus,
.btn-secondary:active,
.btn-secondary.active{
    color: #FFFFFF;
    background-color: #6c757d !important;
    border-color: #6c757d !important;
}

/** 分頁table css -- 開始 */
.topic_title {
    min-height:4rem;
    font-size:1.29rem;
    font-weight:bold;
    color:#ffffff;
    background:#4668A0;
    /*line-height:4rem;*/
    padding: 1.2rem 0;
    text-align:center;
}
.odd {
    background:#EFFCF3;
}

.list-item{
/*    display: flex;
    align-items: center;
    justify-content: center;*/

    height: 4.36rem;

    font-family: "微軟正黑體", Arial, Helvetica, sans-serif;
    text-align:center;
    color: #000000;
    font-size: 1.07rem;
    line-height: 4.36rem;
    word-break: break-all;
    min-height: 1.07rem;
    /*padding: 15px 5px 15px 5px;*/
}

.list-item2{
    font-family: "微軟正黑體", Arial, Helvetica, sans-serif;
    text-align:left;
    color: #000000;
    font-size:18px;
    font-weight:bold;
    line-height: 24px;
    word-break: break-all;
    min-height: 54px;
    padding: 15px 5px 15px 5px;
}


@media screen and (max-width: 1332px) {
    .topic_title {
        padding: 0.2rem 0;
    }
}

@media screen and (max-width: 1024px) {
    .topic_title {
        min-height: initial;
        line-height: initial;
        font-size: 16px;
    }

    .list-item {
        min-height: initial;
        line-height: initial;
        font-size: 16px;
    }

    .list-item2 {
        min-height: initial;
        line-height: initial;
        font-size: 16px;
    }
}

@media screen and (max-width: 768px) {
    .topic_title {
        line-height: 32px;
    }

    .list-item {
        min-height: 56px;
        line-height: 32px;
        font-size: 1rem;
        word-break: break-all;
        background: #FFFFFF;

        height: initial;
    }
}

@media screen and (max-width: 414px) {
    .form-section {
        padding: 1rem 3rem;
    }

    .topic_title {
        min-height: 56px;
        font-size: 15px;
    }

    .list-item {
        min-height: 56px;
        line-height: initial;
        font-size: 1rem;
        word-break: break-all;
        background: #FFFFFF;
    }
}

@media screen and (max-width: 320px) {
    .list-item{
        font-size: 14px;
    }
}

@media (min-width: 1023px) AND (max-width: 1380px) {
    section.form-section > div.container {
        width: initial;
    }
}

.pagination > .active > a,
.pagination > .active > span,
.pagination > .active > a:hover,
.pagination > .active > span:hover,
.pagination > .active > a:focus,
.pagination > .active > span:focus {
    background-color: #4668A0;
    border-color: #7A9CD3;
}

/* tables */
th.center,
td.center {
  text-align: center;
}
th .lbl,
td .lbl {
  margin-bottom: 0;
}
th .lbl:only-child,
td .lbl:only-child {
  vertical-align: top;
}
thead {
    font-size: 1rem;
}
.table > thead > tr {
  color: #FFFFFF;
  font-weight: normal;
  background: #00BA00;
}
.table > thead > tr > th {
  border-color: #EFEFEF;
  font-weight: bold;
  border: 0px;
}
.table > thead > tr > th:first-child {
  border-left-color: #EFEFEF;
}
.table > thead > tr > th:last-child {
  border-right-color: #EFEFEF;
}
.table.table-bordered > thead > tr > th {
  /* border-color: @table-border-color; */
  vertical-align: middle;
}
.table.table-bordered > thead > tr > th:first-child {
  border-left-color: hsl(217, 39%, 45%);
}

/* 批次工具列 */
.table > thead > tr.batch-tool-bar {
    color: #333333;
    font-weight: normal;
    background: #dedede;
    line-height: 2.5rem;
}

.table > thead > tr.batch-tool-bar div[class^="ico-"]{
    cursor: pointer;
}

.table > thead > tr.batch-tool-bar i.far,
.table > thead > tr.batch-tool-bar i.fas
{
    font-size: 1.125rem;
}

.table > thead > tr > th div.pretty,
.table > tbody > tr > td div.pretty{
    margin-right: 0px;
}

.pagebar-line-golast, .pagebar-line-gonext {
    cursor: pointer;
}

.pagebar-line-golast.disabled, .pagebar-line-gonext.disabled {
    cursor: not-allowed;
}

/* 批次工具列 */
.table-header {
  background-color: #307ecc;
  color: #FFF;
  font-size: 14px;
  line-height: 38px;
  padding-left: 12px;
  margin-bottom: 1px;
}
.table-header .close {
  margin-right: 8px;
  margin-top: 0;
  opacity: 0.45;
  filter: alpha(opacity=45);
}
.table-header .close:hover {
  opacity: 0.75;
  filter: alpha(opacity=75);
}
th.detail-col {
  width: 48px;
  text-align: center;
}
tr.detail-row {
  display: none;
}
tr.detail-row.open {
  display: block;
  display: table-row;
}
tr.detail-row > td {
    background-color: #f1f6f8;
    border-top: 3px solid #d1e1ea !important;
}
.table-detail {
    background-color: #fff;
    border: 1px solid #dcebf7;
    width: 100%;
    padding: 12px;
}

.table-striped > tbody > tr:nth-of-type(odd) {
    background-color: #FDFDFD;
}

.table-striped > tbody > tr:nth-of-type(even) {
    background-color: #F5F5F5;
}

.table-bordered {
    border-radius: 0 !important;
}

.table-rounded {
    border-collapse: initial;
}

.table-rounded > thead > tr > th:first-child {
    border-radius: 10px 0 0 0 !important;
    padding-left: 17px !important;
}

.table-rounded > thead > tr > th:last-child {
    border-radius: 0 10px 0 0 !important;
}

.table-rounded tbody tr td:first-child {
    border-left: 2px solid #e2edf2;
}

.table-rounded tbody tr td:last-child {
    border-right: 2px solid #e2edf2;
}

.table-rounded tbody tr:last-child td:first-child {
    border-bottom-left-radius: 6px !important;
}

.table-rounded tbody tr:last-child td:last-child {
    border-bottom-right-radius: 6px !important;
}

.table-rounded tbody tr:last-child td {
    border-bottom: 2px solid #e2edf2;
}

/* 項目bar */
.div-itembar-groups {

}

.div-itembar-groups .input-group .input-group-prepend span {
    background: #474747;
    border: 1px solid #333333;
    font-family: Arial;
    font-size: 1rem;
    font-weight: bold;
    color: #FFFFFF;
    letter-spacing: 0;
}

.div-itembar-groups .input-group .form-control{
    background: #333333;
    border: 1px solid #333333;
    font-size: 1rem;
    font-weight: bold;
    color: #00BA00;
}

.div-itembar-groups .input-group .form-control.white{
    color: #FFFFFF;
}

.div-itembar-groups .input-group .input-group-append span {
    background: #333333;
    border: 1px solid #333333;
    font-size: 1rem;
    font-weight: bold;
    color: #FFFFFF;
    letter-spacing: 0;
}

.div-itembar-groups .input-group .input-group-append span.green {
    color: #00BA00;
}
/* 項目bar */